org.apache.olingo.odata2.api.edm.provider

## Class Association

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Association

-     public class Association
      extends Object

  Objects of this class represent an association

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Association()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `AssociationEnd` | `getEnd1()`
    `AssociationEnd` | `getEnd2()`
    `String` | `getName()`
    `ReferentialConstraint` | `getReferentialConstraint()`
    `Association` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `Association`
    `Association` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `Association`
    `Association` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `Association`
    `Association` | `setEnd1(AssociationEnd end1)` Sets the first `AssociationEnd` for this `Association`
    `Association` | `setEnd2(AssociationEnd end2)` Sets the second `AssociationEnd` for this `Association`
    `Association` | `setName(String name)` Sets the name for this `Association`
    `Association` | `setReferentialConstraint(ReferentialConstraint referentialConstraint)` Sets the `ReferentialConstraint` for this `Association`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Association

          public Association()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name

    - #### getEnd1

          public AssociationEnd getEnd1()

      Returns:
        `AssociationEnd` end2

    - #### getEnd2

          public AssociationEnd getEnd2()

      Returns:
        `AssociationEnd` end2

    - #### getReferentialConstraint

          public ReferentialConstraint getReferentialConstraint()

      Returns:
        `ReferentialConstraint` referentialConstraint

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public Association setName(String name)

      Sets the name for this `Association`
      Parameters:
        `name` -
      Returns:
        `Association` for method chaining

    - #### setEnd1

          public Association setEnd1(AssociationEnd end1)

      Sets the first `AssociationEnd` for this `Association`
      Parameters:
        `end1` -
      Returns:
        `Association` for method chaining

    - #### setEnd2

          public Association setEnd2(AssociationEnd end2)

      Sets the second `AssociationEnd` for this `Association`
      Parameters:
        `end2` -
      Returns:
        `Association` for method chaining

    - #### setReferentialConstraint

          public Association setReferentialConstraint(ReferentialConstraint referentialConstraint)

      Sets the `ReferentialConstraint` for this `Association`
      Parameters:
        `referentialConstraint` -
      Returns:
        `Association` for method chaining

    - #### setDocumentation

          public Association setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `Association`
      Parameters:
        `documentation` -
      Returns:
        `Association` for method chaining

    - #### setAnnotationAttributes

          public Association setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `Association`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Association` for method chaining

    - #### setAnnotationElements

          public Association setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `Association`
      Parameters:
        `annotationElements` -
      Returns:
        `Association` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.